---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: core
metadata:
  name: keda
  description: null
options:
  images:
    default:
      metrics:
        pullPolicy: IfNotPresent
        registry: ghcr.io
        repository: kedacore/keda-metrics-apiserver
        tag: 2.13.1
      operator:
        pullPolicy: IfNotPresent
        registry: ghcr.io
        repository: kedacore/keda
        tag: 2.13.1
    examples:
    - metrics:
        pullPolicy: IfNotPresent
        registry: ghcr.io
        repository: kedacore/keda-metrics-apiserver
        tag: 2.13.1
      operator:
        pullPolicy: IfNotPresent
        registry: ghcr.io
        repository: kedacore/keda
        tag: 2.13.1
    properties:
      metrics:
        default:
          pullPolicy: IfNotPresent
          registry: ghcr.io
          repository: kedacore/keda-metrics-apiserver
          tag: 2.13.1
        properties:
          pullPolicy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: ghcr.io
            type: string
          repository:
            default: kedacore/keda-metrics-apiserver
            type: string
          tag:
            default: 2.13.1
            type: string
        type: object
      operator:
        default:
          pullPolicy: IfNotPresent
          registry: ghcr.io
          repository: kedacore/keda
          tag: 2.13.1
        properties:
          pullPolicy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: ghcr.io
            type: string
          repository:
            default: kedacore/keda
            type: string
          tag:
            default: 2.13.1
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: crd
  component: keda
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
